Remove a text overlay
curl --request DELETE \
--url https://api.tella.com/v1/videos/{id}/clips/{clipId}/text-overlays/{textOverlayId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tella.com/v1/videos/{id}/clips/{clipId}/text-overlays/{textOverlayId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tella.com/v1/videos/{id}/clips/{clipId}/text-overlays/{textOverlayId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"error": {
"code": "bad_request",
"doc_url": "https://tella.tv/docs/api-reference/errors#bad-request",
"message": "The request was malformed or contained invalid parameters."
}
}{
"error": {
"code": "unauthorized",
"doc_url": "https://tella.tv/docs/api-reference/errors#unauthorized",
"message": "Authentication is required. Provide a valid API key."
}
}{
"error": {
"code": "forbidden",
"doc_url": "https://tella.tv/docs/api-reference/errors#forbidden",
"message": "You don't have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"doc_url": "https://tella.tv/docs/api-reference/errors#not-found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "unprocessable_entity",
"doc_url": "https://tella.tv/docs/api-reference/errors#unprocessable-entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"doc_url": "https://tella.tv/docs/api-reference/errors#rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please slow down."
}
}{
"error": {
"code": "internal_server_error",
"doc_url": "https://tella.tv/docs/api-reference/errors#internal-server-error",
"message": "An unexpected error occurred on the server."
}
}Clips
Remove a text overlay
Removes a text overlay from a clip.
DELETE
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
text-overlays
/
{textOverlayId}
Remove a text overlay
Authorizations
API key obtained from your Tella account settings
Path Parameters
Video ID
Clip ID
Text overlay ID
Response
Text overlay removed
Standard success response for operations that don't return data
Operation status
Available options:
ok Example:
"ok"
Related topics
Model Context Protocol (MCP)Remove an overlayUpdate a text overlayAdd text to your videoList text overlays on a clipWas this page helpful?
⌘I